Subject: [Ltru] Re: Proposed changes to region subtags

From: "Doug Ewell" <[email-masked]>
Date: Fri, 1 Apr 2005 23:43:41 -0800

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> But there's no guarantee that it's always irrelevant.  Today
> something like ru-RU and ru-BY is allowed (I don't check this,
> please adjust it if necessary).  If BY + RU form a union with
> the new CC RU, and if the difference between ru-RU and ru-BY
> was important, then a tagger willing to update old ru-RU tags
> has a problem, the old region RU is lost.

Didn't you say, just a few weeks ago, that it would be terrible for us
to keep BQ and AQ and NQ in the registry because if those codes were
reassigned in ISO 3166, the new recipients would be stuck with those
awful UN numeric codes for language tags?

Isn't the merger of country X into country Y, keeping the existing
country code for Y, a much greater likelihood?  Your suggestion replaces
the alpha-2 code for both of these former countries with a numeric code
for the union.

> IMHO Doug is wrong, we can delay this one minor point to draft
> -02 without problem.  And if the "last call" is in June instead
> of May then it won't be a side-effect of a simple "union" rule.

It's not June I worry about.  I don't see this issue coming to an end.
Perhaps naively, I thought it would be resolved when we reached
something resembling consensus on the 1988 cutoff date.

> The current -00 rules preserve YU as code, but only the new
> meaning.  Somebody trying to update old ??-YU tags would need
> the old UN number for unclear cases.

Existing tags should not have to be "updated" like this.  That is not
what backward compatibility is all about.  If we were big believers in
going back through old content and updating all the tags, we probably
wouldn't be here in the first place, trying to add more stability to RFC
3066.

>> Rule 0: tag content wisely.
>
> Also known as "pray that 639-3 comes a.s.a.p., and all these
> funny region codes will be less important".

639-3 will not distinguish between en-US and en-GB and en-AU, nor
between fr-FR and fr-CA, nor between other region varieties that people
feel a need to distinguish.  I could have sworn I said this.

> No, I'd add the old UN number always as soon as new UN numbers
> are assigned, and an old region is lost without this trick.  A
> case like the old CS cannot happen again under the current
> rules (the old CS would be frozen, the new CS gets a number).

I will continue to oppose this.

-Doug Ewell
 Fullerton, California
 http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Sat, 02 Apr 2005 21:43:35 +0200

Doug Ewell wrote:
 
> Didn't you say, just a few weeks ago,
[...]
Yes, that was me, and you've alreay solved this problem for
the very old alpha-2 codes (before 1988).

> Isn't the merger of country X into country Y, keeping the
> existing country code for Y, a much greater likelihood?

Exactly.

> Your suggestion replaces the alpha-2 code for both of these
> former countries with a numeric code for the union.

No, I want the UN number for the "lost region" in the registry.
Not the UN number for the union, if they inherit the alpha-2
code.

The "lost region number" allows (option) to update old tags,
and it documents the change of the meaning for the alpha-2
code.
 
> It's not June I worry about.  I don't see this issue coming

Now it's not that important, our chairs can always decree that
the rules are good enough as they are for RfC 3066bis.   When
a fix is needed in the future, because there will be problems
with unions and splits, somebody else could create a 3066ter.

If we're lucky these potential problems won't show up for a
very long time.  Any issues with 7000+ laguages in ISO 639-3
are much more interesting than this alpha-2 CC "inheritance".

> Existing tags should not have to be "updated" like this.  
> That is not what backward compatibility is all about.

I proposed a way to get rid of all "inheritace oddities" with
alpha-2 CCs, nobody here liked it.  It's really not my fault
when new regions "inherit" the CC of an old region, it's one
of the ideas for these country codes (e.g. DE, VN, YE, YU).

                       Bye, Frank